## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global srcname pyasynchat
%global modname asynchat

Name:           python-%{srcname}
Version:        1.0.2
Release:        3%{?dist}
Summary:        Make %{modname} available for Python 3.12 onwards

License:        Python-2.0.1
URL:            https://github.com/simonrob/%{srcname}
Source:         https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This package contains the asynchat module as found in Python versions
prior to 3.12. It is provided so that existing code relying on import
asynchat is able to continue being used without significant
refactoring.}

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version} -p1
# these should not be executable
chmod ugo-x README.md LICENSE


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
# there are no tests upstream
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 28 2023 Adam Williamson <awilliam@redhat.com> - 1.0.2-1
- Initial import (review #2241085)
## END: Generated by rpmautospec
